deprecated

  use `Mocha.Test` instead.

### Hierarchy

- ITest

## Index

### Properties

- async
- body
- duration
- file
- fn
- parent
- pending
- state
- sync
- timedOut
- title
- type

### Methods

- fullTitle
- timeout

## Properties

### async

async: boolean

Inherited from IRunnable.async

- Defined in node_modules/@types/mocha/index.d.ts:2506

### Optional body

body: undefined | string

- Defined in node_modules/@types/mocha/index.d.ts:2546

### Optional duration

duration: undefined | number

Inherited from IRunnable.duration

- Defined in node_modules/@types/mocha/index.d.ts:2511

### Optional file

file: undefined | string

- Defined in node_modules/@types/mocha/index.d.ts:2547

### fn

fn: Function | undefined

Inherited from IRunnable.fn

- Defined in node_modules/@types/mocha/index.d.ts:2505

deprecated

  `.fn` has type `Func | AsyncFunc` in `Mocha.Runnable`.

### Optional parent

parent: ISuite

- Defined in node_modules/@types/mocha/index.d.ts:2549

deprecated

  `.parent` has type `Mocha.Suite | undefined` in `Mocha.Test`.

### pending

pending: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2550

### Optional state

state: "failed" | "passed"

- Defined in node_modules/@types/mocha/index.d.ts:2551

### sync

sync: boolean

Inherited from IRunnable.sync

- Defined in node_modules/@types/mocha/index.d.ts:2507

### timedOut

timedOut: boolean

Inherited from IRunnable.timedOut

- Defined in node_modules/@types/mocha/index.d.ts:2508

### title

title: string

Inherited from IRunnable.title

- Defined in node_modules/@types/mocha/index.d.ts:2503

### type

type: "test"

- Defined in node_modules/@types/mocha/index.d.ts:2552

## Methods

### fullTitle

- fullTitle(): string

- - Defined in node_modules/@types/mocha/index.d.ts:2553

  #### Returns string

### timeout

- timeout(n: number | string): this

- Inherited from IRunnable.timeout

  - Defined in node_modules/@types/mocha/index.d.ts:2510
  deprecated

    `.timeout()` has additional overloads in `Mocha.Runnable`.

  #### Parameters

  - ##### n: number | string

  #### Returns this

Generated using TypeDoc